const app = getApp();
Component({
  // 启用插槽
  options: {
    multipleSlots: true
  },
  properties: {
    note: {
      type: Array
    },
    datas: {
      type: Object
    },
    padding: {
      type: Number
    }
  },
  lifetimes: {
    created() {
      console.log("进入组件created");
      // this.initList();
    },
    attached() {
      console.log("进入组件attached");
      // this.initList();
    },
    ready() {
      console.log("进入组件ready");
      // this.reLoadPro();
    }
  },
  observers: {},
  data: {
    //列数
    waterfallImgCol: 2,
    //列高度数组
    waterfallDeviationHeight: [0, 0],
    contentList: [],
    inj: 0
  },
  methods: {
    // 初始化数组
    initList() {
      // 初始化容器
      let contentList = this.data.contentList;
      contentList[0] = [];
      contentList[1] = [];
      this.setData({ contentList });
      console.log(this.data.note, "-------------------185");
      this.reLoadPro();
    },
    async reLoadPro() {
      let _this = this;
      this.setHeight(0);
    },
    setHeight(i) {
      let _this = this;
      let item = this.data.note[i];
      console.log(i, "---------------i");
      console.log(
        this.data.waterfallDeviationHeight,
        "-------waterfallDeviationHeight"
      );
      let minIndex = this.filterMin();
      console.log(minIndex, "---------------126");
      let contentList = this.data.contentList;
      contentList[minIndex].push(item);
      this.setData({ contentList });
      const queryDom = wx.createSelectorQuery().in(this);
      queryDom.select(`.item${minIndex}`).boundingClientRect();
      queryDom.exec(res => {
        res[0].height;
        console.log(res[0], "--------------res");
        let waterfallDeviationHeight = _this.data.waterfallDeviationHeight;
        waterfallDeviationHeight[minIndex] = res[0].height;
        _this.setData({ waterfallDeviationHeight });
        if (i >= _this.data.note.length - 1) {
          return;
        }
        i++;
        _this.setHeight(i);
      });
    },
    filterMin() {
      let val = Math.min.apply(null, this.data.waterfallDeviationHeight);
      // console.log(this.waterfallDeviationHeight,this.waterfallDeviationHeight.indexOf(val),'-------------------167')
      return this.data.waterfallDeviationHeight.indexOf(val);
    },
    imageLoad(ev) {
      let windowWidth = wx.getSystemInfoSync().windowWidth;
      let src = ev.currentTarget.dataset.src,
        width = ev.detail.width,
        height = ev.detail.height;
      let newWidth = parseInt(windowWidth * 0.49);
      let newHeight = parseInt(newWidth / (width / height));
      console.log(
        width,
        height,
        newWidth,
        newHeight,
        ev.target.dataset.id,
        "-----------------------219"
      );
    }
  }
});
